Page MenuHomePhabricator

Add link to protect log on action=info
Closed, ResolvedPublic

Description

Near by the protection section on action=info there should be a link to the corresponding protect log entry. That makes it easier to see the reason (you can also click edit to see that, but with the link you can see also past protections on that page)

Thanks.

Details

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:04 AM
bzimport set Reference to bz50190.
bzimport added a subscriber: Unknown Object (MLST).

Where exactly should the link be? In its own row?

Change 138184 had a related patch set uploaded by Gerrit Patch Uploader:
Add link to protect log to action=info

https://gerrit.wikimedia.org/r/138184

matej_suchanek updated the task description. (Show Details)
matej_suchanek set Security to None.
matej_suchanek removed a subscriber: wikibugs-l-list.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2015, 11:24 AM
TTO added a subscriber: TTO.Dec 27 2015, 6:19 AM

I would suggest to put the log link either in the heading, like so:


Page protection (log)


or in a separate line beneath the table in that section:


Createbla bla bla

View the protection log for this page.


Framawiki moved this task from Backlog to Doing on the good first task board.Dec 2 2017, 1:45 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 2 2017, 1:45 PM
Framawiki removed PiRSquared17 as the assignee of this task.Dec 2 2017, 2:02 PM
Framawiki removed a project: Patch-For-Review.
Framawiki added a subscriber: Framawiki.

Change 463620 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] Add link to protect log to action=info

https://gerrit.wikimedia.org/r/463620

Urbanecm claimed this task.Sep 29 2018, 5:07 PM
Urbanecm added a subscriber: Urbanecm.

Let's try to get this done.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 29 2018, 5:07 PM

Thanks for working on this @Urbanecm !

Change 463620 merged by jenkins-bot:
[mediawiki/core@master] Add link to protect log to action=info

https://gerrit.wikimedia.org/r/463620

matmarex closed this task as Resolved.Oct 6 2018, 12:10 AM
matmarex removed a project: Patch-For-Review.